@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('depart::depart.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('depart::depart.names') !!}</small>
@stop

@section('title')
{!! trans('depart::depart.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('depart::depart.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='depart-depart-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="depart-depart-list" class="table table-striped table-bordered data-table">
    <thead  class="list_head">
        <th>{!! trans('depart::depart.label.code')!!}</th>
        <th>{!! trans('depart::depart.label.name')!!}</th>
        <th>{!! trans('depart::depart.label.email_manager')!!}</th>
        <th>{!! trans('depart::depart.label.mobile_manager')!!}</th>
        <th>{!! trans('depart::depart.label.email_hod')!!}</th>
        <th>{!! trans('depart::depart.label.mobile_hod')!!}</th>
        <th>{!! trans('depart::depart.label.company_id')!!}</th>
        <th>{!! trans('depart::depart.label.description')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::text('search[code]')->raw()!!}</th>
        <th>{!! Form::text('search[name]')->raw()!!}</th>
        <th>{!! Form::text('search[email_manager]')->raw()!!}</th>
        <th>{!! Form::text('search[mobile_manager]')->raw()!!}</th>
        <th>{!! Form::text('search[email_hod]')->raw()!!}</th>
        <th>{!! Form::text('search[mobile_hod]')->raw()!!}</th>
        <th>{!! Form::numeric('search[company_id]')->raw()!!}</th>
        <th>{!! Form::text('search[description]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#depart-depart-entry', '{!!trans_url('admin/depart/depart/0')!!}');
    oTable = $('#depart-depart-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/depart/depart') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#depart-depart-list .search_bar input, #depart-depart-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'code'},
                        {data :'name'},
                    {data :'email_manager'},
                    {data :'mobile_manager'},
                    {data :'email_hod'},
                    {data :'mobile_hod'},
                    {data :'company_id'},
                        {data :'description'},
        ],
        "pageLength": 25
    });

    $('#depart-depart-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#depart-depart-list').DataTable().row( this ).data();

        $('#depart-depart-entry').load('{!!trans_url('admin/depart/depart')!!}' + '/' + d.id);
    });

    $("#depart-depart-list .search_bar input, #depart-depart-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

